##############################################################
#                                                            #
# Need weight.dat average_pot.dat files                      #
#                                                            #
##############################################################

## weight: weight for each temp in one line without time
## average_pot: average_pot for each temp in different lines; only the averaged pot

## Need ALL_temperature.dat
## 1: ./before_run.sh
## 2: ./main_run.sh


mkdir potential
mkdir tpr
mkdir gro
mkdir log
mkdir xtc
cp md000.gro ./gro/


awk 'BEGIN{
while(getline < "./ALL_temperature.dat")
 {
  count++
  temp[count]=$2
 }
for(i=1;i<=count;i++)
 {
  printf "%10.3f", 0 >> "./average_pot.dat"
  printf "%15.8f", 0 >> "./weight.dat"
 }
printf "\n" >> "./average_pot.dat"
printf "\n" >> "./weight.dat"
#print "1" >> "./tracing_temperature.dat"
}' 
